Subject: Re: bug#10946: 24.0.94; eval-after-load incompatible change

From: Stefan Monnier <[email-masked]>
Date: Wed, 07 Mar 2012 15:28:57 -0500

>>> I don't understand why it should have such a consequence.
>> Because now you have to worry about load-file-name, which means
>> (eval-after-load 'feature ... ) does nothing unless the file provided
>> that feature is loaded. i.e. it is almost the same as (eval-after-load
>> "file" ...).

> I didn't mean to say that provide should run the after-load thingies
                                             ^^^
                                             not

> when load-file-name is nil.

Sorry about this typo.  But note that after thinking some more about it,
I noticed that it's called "eval-after-LOAD", so it makes sense that it
should only work when LOADing a file.

        Stefan